<div class="form-group control-full">
	<label class="form-control" for="field-related-datasets">Related Datasets</label>
	<div class="controls">
        {% set selected = {'value': False} %}
        {% if data.get('related-datasets') is not none %}
            {% if selected.update({'value': data.get('related-datasets')}) %}
            {% endif %}
        {% endif %}
        {% set selected_parent = selected['value'] %}
        <select class="js-example-placeholder-multiple field-related-datasets" id='field-related-datasets' name="related-datasets" multiple="multiple">
            {% for group in h.get_allowable_datasets(None) %}
                <option value="{{group}}" {% if selected_parent %}{% if group in selected_parent %} selected="selected" {% endif %}{% endif %}>
                    {{group}}
                </option>
            {% endfor %}
        </select>
	</div>
</div>